Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

Widgets /

Discuss SilverStripe Widgets.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

2.3.2-rc1 & Language Chooser Widget


Go to End


2 Posts   2710 Views

Avatar
patte

Community Member, 63 Posts

21 May 2009 at 12:34am

Fatal error: Call to undefined method i18n::get_existing_content_languages() in D:\Internet\wamp\www\\widgets_languagechooser\LanguageChooser.php on line 36

Hi,

using the new SS release with the Language Chooser Widget I get this error. Does someone know a solution for this? Perhaps there is a SS2.3.2 compatible release I could not find?

Thanks much

patte

Avatar
FungshuiElephant

Community Member, 57 Posts

24 May 2009 at 1:44am

Sounds like there have been some changes to the way multiple languages are handled in 2.3.2. http://www.silverstripe.org/silverstripe-2-3-2-beta-1-multi-language-support-is-back-and-even-better-than-before/.

I guess the language chooser widget is broken for now. (Not a great deal of help I know!)

There seems to be some discussion about how to actually implement the language choice, see above link.